[Mongrel] Mongrel 0.3.13.3 error on start

Carl Lerche carl.lerche at verizon.net
Mon Aug 7 22:46:45 EDT 2006


Hello,

I'm trying to get a new application running with mongrel. I've been  
running a number of applications already using it and it's been  
working fine, however now I can't get mongrel to start. The only  
difference I can think of is that I'm using postgresql for this and  
not mysql. However, I am able to run the application using webrick.  
When I try to start it with mongrel, I get the following error:

/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/lib/mongrel.rb: 
666:in `register': undefined method `resolve' for  
nil:Mongrel::URIClassifier (NoMethodError)
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/lib/ 
mongrel.rb:850:in `uri'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/bin/ 
mongrel_rails:112:in `cloaker_'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/lib/ 
mongrel.rb:832:in `listener'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/bin/ 
mongrel_rails:96:in `cloaker_'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/lib/ 
mongrel.rb:750:in `initialize'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/bin/ 
mongrel_rails:83:in `run'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/lib/ 
mongrel/command.rb:199:in `run'
         from /usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.3/bin/ 
mongrel_rails:235
         from /usr/local/bin/mongrel_rails:18

I tried to go over my setup for any dumb slip that I could have made  
but I couldn't find any (although, I'm still betting it is something  
I did).

Any ideas as to what the problem could be?

Thanks,
Carl


More information about the Mongrel-users mailing list